Bug 211917 - Update cad/calculix to version 2.11
Summary: Update cad/calculix to version 2.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Maho Nakata
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-08-16 20:36 UTC by Pedro F. Giffuni
Modified: 2017-06-17 15:16 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (maho)


Attachments
Update to 2.11 (22.21 KB, patch)
2016-08-16 20:36 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2016-08-16 20:36:57 UTC
Created attachment 173754 [details]
Update to 2.11

Main new features:

* Rotational and translational cyclic symmetry for CFD was coded (see examples couette1per, couettecyl4 and couettecyl4comp).
* Sensitivity analyses (cf. Section 6.9.22 in the User's Manual)
* Speed-up of the treatment of SPC's and MPC's in the stiffness and mass matrix. 

See the complete notes
http://www.dhondt.de/new_calc.htm
____

While here also add a few dependencies to satisfy "make stage-qa"
Comment 1 commit-hook freebsd_committer 2016-08-17 02:02:00 UTC
A commit references this bug:

Author: maho
Date: Wed Aug 17 02:00:58 UTC 2016
New revision: 420315
URL: https://svnweb.freebsd.org/changeset/ports/420315

Log:
  Update to 2.11

  Main new features:

  * Rotational and translational cyclic symmetry for CFD was coded (see examples
  couette1per, couettecyl4 and couettecyl4comp).
  * Sensitivity analyses (cf. Section 6.9.22 in the User's Manual)
  * Speed-up of the treatment of SPC's and MPC's in the stiffness and mass
  matrix.

  See the complete notes
  http://www.dhondt.de/new_calc.htm

  PR:		211917
  Submitted by:	pfg@

Changes:
  head/cad/calculix/Makefile
  head/cad/calculix/distinfo
  head/cad/calculix/files/patch-ccx_VER+src+CalculiX.h
  head/cad/calculix/files/patch-ccx_VER+src+Makefile
  head/cad/calculix/files/patch-cgx_VER+src+Makefile
  head/cad/calculix/files/patch-cgx_VER+src+cgx.h
  head/cad/calculix/pkg-plist
Comment 2 Pedro F. Giffuni freebsd_committer 2017-06-17 15:16:13 UTC
Committed as r420315.